<template>
    <tr class="border">
        <td class="pl-2">
            {{item.category.name}} {{item.product.name}}
        </td>
        <td>
            <input class="w-4/5 text-center bg-gray-200 border-2 border-gray-200 rounded py-1 px-2 text-gray-700 leading-tight focus:outline-none focus:bg-white focus:border-purple-500"
                   type="number" v-model="item.quantity">
        </td>
        <td class="text-center">
            {{item.product.sale_price * item.quantity}}
        </td>
        <td>
            <a href="#" @click.prevent="removeCard">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="18" height="18">
                    <path class="heroicon-ui"
                          d="M4.93 19.07A10 10 0 1 1 19.07 4.93 10 10 0 0 1 4.93 19.07zm1.41-1.41A8 8 0 1 0 17.66 6.34 8 8 0 0 0 6.34 17.66zM13.41 12l1.42 1.41a1 1 0 1 1-1.42 1.42L12 13.4l-1.41 1.42a1 1 0 1 1-1.42-1.42L10.6 12l-1.42-1.41a1 1 0 1 1 1.42-1.42L12 10.6l1.41-1.42a1 1 0 1 1 1.42 1.42L13.4 12z"/>
                </svg>
            </a>
        </td>
    </tr>
</template>

<script>

    export default {
        props: ['item'],

        watch: {
            'item.quantity'(qty) {
                if (!!parseInt(qty)) {
                    if (parseInt(qty) > this.item.product.qty) {
                        this.item.quantity = this.item.product.qty;
                    } else {
                        this.item.quantity = qty;
                    }
                } else {
                    this.item.quantity = 1;
                }
            }
        },

        methods: {
            removeCard() {
                this.$emit('removeCard');
            }
        },

        created() {
            this.quantity = this.item.quantity;
        }
    }
</script>
